DIRNAME = class
DIRECTORIES = readconfig getopt

include Makefile.os

all:
ifeq ($(SHELLTYPE), sh)
	@for d in *; \
	do	if test -d $$d; \
		then	if test -e $$d/Makefile; \
			then	$(MAKE) -C $$d; \
			fi \
		fi \
	done
endif
ifeq ($(SHELLTYPE), COMMAND.COM)
	$(MAKE) -C readconfig
	$(MAKE) -C getopt
endif


include Makefile.rules


ifeq ($(OPERATING_SYSTEM), Linux)
zip_copy : tgz
	-mount /mnt/zip
	mkdir -p /mnt/zip/c++
	cp ~/c++/$(DIRNAME).tgz /mnt/zip/c++/
	-umount /mnt/zip
endif

ifeq ($(OPERATING_SYSTEM), Linux)
tgz : clean
	tar czf ~/c++/$(DIRNAME).tgz -C .. $(DIRNAME)
endif
